// Learn cc.Class:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        // foo: {
        //     // ATTRIBUTES:
        //     default: null,        // The default value will be used only when the component attaching
        //                           // to a node for the first time
        //     type: cc.SpriteFrame, // optional, default is typeof default
        //     serializable: true,   // optional, default is true
        // },
        // bar: {
        //     get () {
        //         return this._bar;
        //     },
        //     set (value) {
        //         this._bar = value;
        //     }
        // },

        df_Node : cc.Label,

        sy_Node : cc.Label,

        cd_Node : cc.Label,

        cg_Node : cc.Sprite,

        cgAtlic : cc.SpriteAtlas,
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start () {

    },

    show(sy,yf,cd,cg)
    {
        this.df_Node.string = yf;
        this.sy_Node.string = sy;
        this.cd_Node.string = cd;
        if(cg == 1)
        {
            this.cg_Node.spriteFrame = this.cgAtlic.getSpriteFrame("lf")
        }
        else if(cg == 2)
        {
            this.cg_Node.spriteFrame = this.cgAtlic.getSpriteFrame("hf")
        }
    },

    onCilck(btn,data)
    {
        if(data == "exit")
        {
            cc.game.end();
        }
        else if(data == "cw")
        {
            cc.director.loadScene("game_in");
        }
        else if(data == "quit")
        {
            cc.director.loadScene("game_start");
        }
    },

    // update (dt) {},
});
